//
// C++ Interface: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef KMFSELECTINTERFACE_H
#define KMFSELECTINTERFACE_H

#include "kmyfirewallselectinterface.h"

// QT Includes
#include <qstringlist.h>

// KDE Includes
#include <kdemacros.h>

// Project Includes



class KDE_EXPORT KMFSelectInterface : public KMyFirewallSelectInterface {
	Q_OBJECT

public:
	KMFSelectInterface( QWidget *parent = 0, const char *name = 0, bool modal = true, WFlags fl = 0 );
	~KMFSelectInterface();
	/*$PUBLIC_FUNCTIONS$*/

public slots:
	/*$PUBLIC_SLOTS$*/
protected:
	/*$PROTECTED_FUNCTIONS$*/

protected slots:
	/*$PROTECTED_SLOTS$*/
	void slotInterfaceChanged( int );
	void accept();
	void help();
	void reject();
private: // DATA
	 QStringList m_descs;
	
};

#endif

